SDL_BYTESPERPIXEL(3)

NAME
SDL_BYTESPERPIXEL - A macro to determine an SDL_PixelFormat's bytes per pixel.

SYNOPSIS
#include <SDL3/SDL_pixels.h>

#define SDL_BYTESPERPIXEL(format) \
    (SDL_ISPIXELFORMAT_FOURCC(format) ? \
        ((((format) == SDL_PIXELFORMAT_YUY2) || \
          ((format) == SDL_PIXELFORMAT_UYVY) || \
          ((format) == SDL_PIXELFORMAT_YVYU) || \
          ((format) == SDL_PIXELFORMAT_P010)) ? 2 : 1) : (((format) >> 0) & 0xFF))

DESCRIPTION
Note that this macro double-evaluates its parameter, so do not use expressions with side-effects here.

FourCC formats do their best here, but many of them don't have a meaningful measurement of bytes per pixel.

MACRO PARAMETERS

format
    an SDL_PixelFormat to check.

RETURN VALUE
Returns the bytes-per-pixel of format.

THREAD SAFETY
It is safe to call this macro from any thread.

AVAILABILITY
This macro is available since SDL 3.2.0.

SEE ALSO
SDL_BITSPERPIXEL(3)